Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.juli
Class OneLineFormatter

    java.lang.Object
      java.util.logging.Formatter
          org.apache.juli.OneLineFormatter

    public class OneLineFormatter

extends java.util.logging.Formatter

Provides same information as default log format but on a single line to make it easier to grep the logs. The only exception is stacktraces which are always preceded by whitespace to make it simple to skip them.

Constructor Summary
`OneLineFormatter()`

Method Summary
`protected void` | `addTimestamp(java.lang.StringBuilder buf, long timestamp)`
`java.lang.String` | `format(java.util.logging.LogRecord record)`

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneLineFormatter

    public OneLineFormatter()

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord record)

  Specified by:
    `format` in class `java.util.logging.Formatter`

### addTimestamp

    protected void addTimestamp(java.lang.StringBuilder buf,
                                long timestamp)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.